Bug 1874968 - Accessibility: The project selection drop down is a keyboard trap
Summary: Accessibility: The project selection drop down is a keyboard trap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-02 17:12 UTC by Cyril
Modified: 2021-02-24 15:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Missing handler for the 'Escape' key when manipulating with project dropdown Consequence: Project selection dropdown cannot be dismissed. Fix: Add handler for the 'Escape' key. Result: Project selection dropdown can be dismissed.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:17:02 UTC
Target Upstream Version:


Attachments (Terms of Use)
Project selection (151.22 KB, image/png)
2020-09-02 17:12 UTC, Cyril
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6907 0 None closed Bug 1874968: Pressing escape key doesn't exit the dropdown list 2021-02-15 20:10:51 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:17:26 UTC

Description Cyril 2020-09-02 17:12:49 UTC
Created attachment 1713485 [details]
Project selection

Description of problem:
Non-compliance: the project selection drop down is a keyboard trap; once the activated cannot be dismissed
Non-compliance: the project selection drop down cannot be dismissed and hides content underneath


Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-09-01-070508

How reproducible:
Always

Steps to Reproduce:
1. Locate Project selection dropdown, once activated
2. Try to keyboard Escape or any other key to dismiss it
3.

Actual results:
The project selection drop down cannot be dismissed 

Expected results:
Users should be able to dismiss project selection drop down with keyboard key

Additional info:

Comment 2 Jakub Hadvig 2020-10-02 15:26:28 UTC
Did not have time for further investigation. Will fix next sprint.

Comment 3 Cyril 2020-10-12 17:31:49 UTC
@spadgett@redhat.com Just checking why you changed this bug title. There is another bug with the title: Accessibility: Keyboard shortcut for escaping YAML editor focus not discoverable - https://bugzilla.redhat.com/show_bug.cgi?id=1874931

Comment 4 Samuel Padgett 2020-10-12 18:58:41 UTC
Sorry, I got these bugs mixed up. I've put it back :)

Comment 5 Cyril 2020-10-12 20:59:31 UTC
No worries!

Comment 6 Harish Govindarajulu 2020-10-23 19:37:37 UTC
The PR: https://github.com/openshift/console/pull/6907 ensures the dropdown list is exited on hitting the escape button. However, restricting the tabbing to be within the dropdown involves refactoring the dropdown component. I and @Jon looked into and decided that we would hold off on fixing this bug until the component is refactored.

Comment 7 Harish Govindarajulu 2020-11-13 14:31:36 UTC
Created a story: https://issues.redhat.com/browse/CONSOLE-2468?filter=-2 to rewrite project dropdown component which would fix this issue

Comment 9 Yadan Pei 2020-12-07 09:45:37 UTC
Using TAB keyboard for navigation, press Enter and enter into project selection drop down list, then press ESC key will exit and close project selection drop down


Verified on 4.7.0-0.nightly-2020-12-04-013308

Comment 10 Yadan Pei 2020-12-07 09:49:08 UTC
Sorry, I was checking wrongly, 4.7.0-0.nightly-2020-12-04-013308 doesn't include fix PR yet.

Moving back to ON_QA until we have new build

Comment 11 Yadan Pei 2020-12-14 06:09:26 UTC
Using TAB keyboard for navigation, press Enter and enter into project selection drop down list, then press ESC key will exit and close project selection drop down

Verified on 4.7.0-0.nightly-2020-12-13-202314

Comment 15 errata-xmlrpc 2021-02-24 15:17:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.